%bcond_without check

%global goipath         github.com/shogo82148/go-shuffle
%global commit          3c595800520260b29e61deacffa9739871043332

%gometa

%global common_description %{expand:
Package Shuffle provides primitives for shuffling slices and user-defined
collections.}

%global golicenses      LICENSE.md
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    2%{?dist}
Summary:        Primitives for shuffling slices and user-defined collections

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 0-2.git3c59580
- Rebuilt for loongarch64

* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
